#ifndef TIME_H
#define TIME_H

class Time {

public:
  Time();
  Time(int hour, int minute);
  friend ostream& operator <<(ostream & sout, const Time &t);
  void Input();
  int GetHour() const;
  int GetMinutes() const;
  
private:
  void CheckValidity() const;
  int m_hour;
  int m_minute;
};

const Time operator +(const Time &t, int deltaMinutes);
bool operator ==(const Time &t1, const Time &t2);
bool operator >(const Time &t1, const Time &t2);
bool operator <(const Time &t1, const Time &t2);
bool operator >=(const Time &t1, const Time &t2);
bool operator <=(const Time &t1, const Time &t2);
bool operator !=(const Time &t1, const Time &t2);


#endif
